# config.write Writes a data field to a config file
Usage
    config.write <id> <key> <value>
Description
Writes the <key>=<value> pair to the config file identifier by <id>. <id> must be a valid config file id returned by $config.open(). <key> and <value> can be any strings. The <key>=<value> pair is written in the current section of the config file. If <key> already exists in the current section of the config , the corresponding value is replaced with <value>. If <value> is an empty string, the <key> is simply removed from the current section. If a section remains empty (with no keys) at file write time, that section will be removed. The changes are NOT written to disk: you must call config.flush or (better) config.close for the changes to be effectively written.
Syntax Specification
    config.write <id> <key> <value>
See also
config module documentation

Index, Commands

KVIrc 4.0.4.4744 Documentation
Generated by kerd at Fri Mar 25 20:00:07 2011